// GLtutor4View.h : interface of the CGLtutor4View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLTUTOR4VIEW_H__2ADE4A2D_8D13_11D3_8CEB_0080C8E0B075__INCLUDED_)
#define AFX_GLTUTOR4VIEW_H__2ADE4A2D_8D13_11D3_8CEB_0080C8E0B075__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CGLtutor4View : public CView
{
protected: // create from serialization only

	CGLtutor4View();
	DECLARE_DYNCREATE(CGLtutor4View)

// Attributes
public:
	CGLtutor4Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGLtutor4View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGLtutor4View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	float depth;
	CPoint mpos;
	BOOL lbut;
	BOOL RBdown;
	int my_GLpixelindex;
	HGLRC my_GLRendContext;
	BOOL CreateGLRenderContext(HDC myDC);
	BOOL SetWindowPixelFormat(HDC myDC);
	//{{AFX_MSG(CGLtutor4View)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in GLtutor4View.cpp
inline CGLtutor4Doc* CGLtutor4View::GetDocument()
   { return (CGLtutor4Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GLTUTOR4VIEW_H__2ADE4A2D_8D13_11D3_8CEB_0080C8E0B075__INCLUDED_)
